libwps: _WPSContentParsingState Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# _WPSContentParsingState Struct Reference

`#include <WPSContentListener.h>`

List of all members.

## Public Member Functions
| _WPSContentParsingState ()
| ~_WPSContentParsingState ()
## Public Attributes
uint32_t | m_textAttributeBits
float | m_fontSize
WPXString | m_fontName
bool | m_isParagraphColumnBreak
bool | m_isParagraphPageBreak
uint8_t | m_paragraphJustification
float | m_paragraphLineSpacing
bool | m_isDocumentStarted
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isPageSpanBreakDeferred
bool | m_isSpanOpened
bool | m_isParagraphOpened
std::list< WPSPageSpan >::iterator | m_nextPageSpanIter
int | m_numPagesRemainingInSpan
bool | m_sectionAttributesChanged
float | m_pageFormLength
float | m_pageFormWidth
WPSFormOrientation | m_pageFormOrientation
float | m_pageMarginLeft
float | m_pageMarginRight
float | m_paragraphMarginLeft
float | m_paragraphMarginRight
float | m_paragraphMarginTop
float | m_paragraphMarginBottom
WPXString | m_textBuffer
## Private Member Functions
| _WPSContentParsingState (const _WPSContentParsingState &)
_WPSContentParsingState & | operator= (const _WPSContentParsingState &)

## Constructor & Destructor Documentation

_WPSContentParsingState::_WPSContentParsingState | ( |  | ) |

_WPSContentParsingState::~_WPSContentParsingState | ( |  | ) |

_WPSContentParsingState::_WPSContentParsingState | ( | const _WPSContentParsingState & |  | ) | `[private]`

## Member Function Documentation

_WPSContentParsingState& _WPSContentParsingState::operator= | ( | const _WPSContentParsingState & |  | ) | `[private]`

## Member Data Documentation

uint32_t _WPSContentParsingState::m_textAttributeBits

float _WPSContentParsingState::m_fontSize

WPXString _WPSContentParsingState::m_fontName

bool _WPSContentParsingState::m_isParagraphColumnBreak

bool _WPSContentParsingState::m_isParagraphPageBreak

uint8_t _WPSContentParsingState::m_paragraphJustification

float _WPSContentParsingState::m_paragraphLineSpacing

bool _WPSContentParsingState::m_isDocumentStarted

bool _WPSContentParsingState::m_isPageSpanOpened

bool _WPSContentParsingState::m_isSectionOpened

bool _WPSContentParsingState::m_isPageSpanBreakDeferred

bool _WPSContentParsingState::m_isSpanOpened

bool _WPSContentParsingState::m_isParagraphOpened

std::list<WPSPageSpan>::iterator _WPSContentParsingState::m_nextPageSpanIter

int _WPSContentParsingState::m_numPagesRemainingInSpan

bool _WPSContentParsingState::m_sectionAttributesChanged

float _WPSContentParsingState::m_pageFormLength

float _WPSContentParsingState::m_pageFormWidth

WPSFormOrientation _WPSContentParsingState::m_pageFormOrientation

float _WPSContentParsingState::m_pageMarginLeft

float _WPSContentParsingState::m_pageMarginRight

float _WPSContentParsingState::m_paragraphMarginLeft

float _WPSContentParsingState::m_paragraphMarginRight

float _WPSContentParsingState::m_paragraphMarginTop

float _WPSContentParsingState::m_paragraphMarginBottom

WPXString _WPSContentParsingState::m_textBuffer

The documentation for this struct was generated from the following files:

- WPSContentListener.h
- WPSContentListener.cpp